Index: /pjproject/trunk/aconfigure
===================================================================
--- /pjproject/trunk/aconfigure	(revision 1891)
+++ /pjproject/trunk/aconfigure	(revision 1892)
@@ -8313,149 +8313,4 @@
 
 
-if test "${ac_cv_header_mswsock_h+set}" = set; then
-  echo "$as_me:$LINENO: checking for mswsock.h" >&5
-echo $ECHO_N "checking for mswsock.h... $ECHO_C" >&6
-if test "${ac_cv_header_mswsock_h+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header_mswsock_h" >&5
-echo "${ECHO_T}$ac_cv_header_mswsock_h" >&6
-else
-  # Is the header compilable?
-echo "$as_me:$LINENO: checking mswsock.h usability" >&5
-echo $ECHO_N "checking mswsock.h usability... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-#include <mswsock.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_header_compiler=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_header_compiler=no
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
-
-# Is the header present?
-echo "$as_me:$LINENO: checking mswsock.h presence" >&5
-echo $ECHO_N "checking mswsock.h presence... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <mswsock.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null; then
-  if test -s conftest.err; then
-    ac_cpp_err=$ac_c_preproc_warn_flag
-    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
-  else
-    ac_cpp_err=
-  fi
-else
-  ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
-  ac_header_preproc=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-  ac_header_preproc=no
-fi
-rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
-  yes:no: )
-    { echo "$as_me:$LINENO: WARNING: mswsock.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: mswsock.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: mswsock.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: mswsock.h: proceeding with the compiler's result" >&2;}
-    ac_header_preproc=yes
-    ;;
-  no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: mswsock.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: mswsock.h: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: mswsock.h:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: mswsock.h:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: mswsock.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: mswsock.h: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: mswsock.h:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: mswsock.h:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: mswsock.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: mswsock.h: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: mswsock.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: mswsock.h: in the future, the compiler will take precedence" >&2;}
-    (
-      cat <<\_ASBOX
-## ------------------------------------ ##
-## Report this to the pjproject lists.  ##
-## ------------------------------------ ##
-_ASBOX
-    ) |
-      sed "s/^/$as_me: WARNING:     /" >&2
-    ;;
-esac
-echo "$as_me:$LINENO: checking for mswsock.h" >&5
-echo $ECHO_N "checking for mswsock.h... $ECHO_C" >&6
-if test "${ac_cv_header_mswsock_h+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_cv_header_mswsock_h=$ac_header_preproc
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header_mswsock_h" >&5
-echo "${ECHO_T}$ac_cv_header_mswsock_h" >&6
-
-fi
-if test $ac_cv_header_mswsock_h = yes; then
-  cat >>confdefs.h <<\_ACEOF
-#define PJ_HAS_MSWSOCK_H 1
-_ACEOF
-
-fi
-
-
 if test "${ac_cv_header_winsock_h+set}" = set; then
   echo "$as_me:$LINENO: checking for winsock.h" >&5
@@ -8748,4 +8603,65 @@
 
 
+echo "$as_me:$LINENO: checking for mswsock.h" >&5
+echo $ECHO_N "checking for mswsock.h... $ECHO_C" >&6
+if test "${ac_cv_header_mswsock_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#if PJ_HAS_WINSOCK2_H
+          	  #	include <winsock2.h>
+		  #elif PJ_HAS_WINSOCK_H
+          	  #	include <winsock.h>
+          	  #endif
+
+
+#include <mswsock.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_header_mswsock_h=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_header_mswsock_h=no
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_mswsock_h" >&5
+echo "${ECHO_T}$ac_cv_header_mswsock_h" >&6
+if test $ac_cv_header_mswsock_h = yes; then
+  cat >>confdefs.h <<\_ACEOF
+#define PJ_HAS_MSWSOCK_H 1
+_ACEOF
+
+fi
+
+
 if test "${ac_cv_header_uuid_uuid_h+set}" = set; then
   echo "$as_me:$LINENO: checking for uuid/uuid.h" >&5
@@ -8890,11 +8806,7 @@
 
 
-
-for ac_header in net/if.h
-do
-as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
+echo "$as_me:$LINENO: checking for net/if.h" >&5
+echo $ECHO_N "checking for net/if.h... $ECHO_C" >&6
+if test "${ac_cv_header_net_if_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -8910,5 +8822,5 @@
 
 
-#include <$ac_header>
+#include <net/if.h>
 _ACEOF
 rm -f conftest.$ac_objext
@@ -8934,20 +8846,17 @@
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  eval "$as_ac_Header=yes"
+  ac_cv_header_net_if_h=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-eval "$as_ac_Header=no"
+ac_cv_header_net_if_h=no
 fi
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
-if test `eval echo '${'$as_ac_Header'}'` = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
-_ACEOF
- cat >>confdefs.h <<\_ACEOF
+echo "$as_me:$LINENO: result: $ac_cv_header_net_if_h" >&5
+echo "${ECHO_T}$ac_cv_header_net_if_h" >&6
+if test $ac_cv_header_net_if_h = yes; then
+  cat >>confdefs.h <<\_ACEOF
 #define PJ_HAS_NET_IF_H 1
 _ACEOF
@@ -8955,5 +8864,4 @@
 fi
 
-done
 
 
Index: /pjproject/trunk/aconfigure.ac
===================================================================
--- /pjproject/trunk/aconfigure.ac	(revision 1891)
+++ /pjproject/trunk/aconfigure.ac	(revision 1892)
@@ -162,9 +162,15 @@
 AC_CHECK_HEADER(time.h,[AC_DEFINE(PJ_HAS_TIME_H,1)])
 AC_CHECK_HEADER(unistd.h,[AC_DEFINE(PJ_HAS_UNISTD_H,1)])
-AC_CHECK_HEADER(mswsock.h,[AC_DEFINE(PJ_HAS_MSWSOCK_H,1)])
 AC_CHECK_HEADER(winsock.h,[AC_DEFINE(PJ_HAS_WINSOCK_H,1)])
 AC_CHECK_HEADER(winsock2.h,[AC_DEFINE(PJ_HAS_WINSOCK2_H,1)])
+AC_CHECK_HEADER(mswsock.h,[AC_DEFINE(PJ_HAS_MSWSOCK_H,1)],[],
+		 [#if PJ_HAS_WINSOCK2_H
+          	  #	include <winsock2.h>
+		  #elif PJ_HAS_WINSOCK_H
+          	  #	include <winsock.h>
+          	  #endif
+          	 ])
 AC_CHECK_HEADER(uuid/uuid.h,[ac_has_uuid_h=1])
-AC_CHECK_HEADERS(net/if.h,[AC_DEFINE(PJ_HAS_NET_IF_H,1)],[],
+AC_CHECK_HEADER(net/if.h,[AC_DEFINE(PJ_HAS_NET_IF_H,1)],[],
 		 [#if PJ_HAS_SYS_SOCKET_H
           	  #	include <sys/socket.h>
